<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$longName = 'RSS - Feed';

$sortId = 75;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'rssActive';
$setting->description = 'RSS - Feed aktivieren';
$setting->help = 'Die hier getroffenen Einstellungen werden nicht sofort wirksam, '
                . 'da die Ausgabe für 12 Stunden gecacht wird. Wenn Sie die Ausgabe sofort '
                . 'erneuern wollen, dann klicken Sie bitte '
                . '<a href="../webbasys/rss.php?clearCache=true" target="_blank">hier</a>';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

if (\DBWorkBASysSettings::isWittenbergPaulGerhard()) {
  $setting = new Setting();
  $setting->name = 'rssDtdUrl';
  $setting->description = 'DTD-URL eintragen';
  $setting->help = 'Hier muss die DTD-URL eingetragen werden, damit die Namespaces richtig funktionieren.';
  $setting->subGroup = 'Allgemein';
  $setting->toolId = 4;
  $setting->config->loadConfiguration(SC_INPUTHTML);
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'rssTitle';
$setting->description = 'Titel';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTHTML);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssDescr';
$setting->description = 'Beschreibung';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_TEXTBOX);
$setting->config->size = 5;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssVeranArt';
$setting->description = 'Schlüssel der Veranstaltungsart(en)';
$setting->help = 'Mehrere Veranstaltungsarten können Sie Komma-getrennt eintragen (z.B.: 01,21).
Die Veranstaltungsart finden Sie in ' . KUFERSQL . ' auf der ersten und dritten Seite des Kursstamms.
Falls Sie hier nichts eingeben, spielt die Veranstaltungsart der Kurse keine Rolle.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssAnzahl';
$setting->description = 'Anzahl anzuzeigender Kurse';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssVorschau';
$setting->description = 'Vorschau für maximal Tage';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssShowAusgebucht';
$setting->description = 'Auch ausgebuchte Kurse anzeigen';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssShowAusfall';
$setting->description = 'Auch ausgefallene Kurse anzeigen';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'rssSelectWhatBeginn';
$setting->description = 'Wie sollen Zeiten dargestellt werden?';
$setting->help = 'Bspw. Kursbeginn, Kursende';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array('' => '-----',
    'langDavor' => '13:00, 01.02.2020',
    'langDanach' => '01.02.2020, 13:00',
    'kurzerMonatDavor' => '13:00, 01. Feb. 2020',
    'kurzerMonatDanach' => '01. Feb. 2020, 13:00',
    'langerMonatDavor' => '13:00, 01. Februar 2020',
    'langerMonatDanach' => '01. Februar 2020, 13:00');
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'rssSelectWhatKursort';
$setting->description = 'Wie soll der Kursort dargestellt werden?';
$setting->help = 'Es ist möglich, den Kursort unterschiedlich darzustellen. '
        . 'Beispielsweise kann man die Straße, den Ort und den Raum anzeigen. '
        . 'Es werden nur auch vorhandene Daten angezeigt. '
        . 'Wenn im Kursstamm ein Feld leergelassen wurde, treten auch hier keine Fehler auf. '
        . 'Wählen Sie hier Ihre Konfiguration';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array('' => '-----',
    'schkurzbezstrort' => 'Schule, Kurzbezeichnun, Straße und Ort',
    'strort' => 'Straße und Ort',
    'raumnrgebd' => 'Raumnummer und Gebäude');
array_push($settingsArray, $setting);